dracut/SOURCES/0040.patch

26 lines
875 B
Diff

From 30fe16eafd75336c74ee16003452f0681c1ea4ed Mon Sep 17 00:00:00 2001
From: Pavel Valena <pvalena@redhat.com>
Date: Fri, 25 Mar 2022 16:39:55 +0100
Subject: [PATCH] fix(bluetooth): nullglob should not be needed
---
modules.d/62bluetooth/module-setup.sh | 4 ++--
1 file changed, 2 insertions(+), 2 deletions(-)
diff --git a/modules.d/62bluetooth/module-setup.sh b/modules.d/62bluetooth/module-setup.sh
index b8270dd5..e4b8b06c 100755
--- a/modules.d/62bluetooth/module-setup.sh
+++ b/modules.d/62bluetooth/module-setup.sh
@@ -51,8 +51,8 @@ installkernel() {
# Install the required file(s) for the module in the initramfs.
install() {
# shellcheck disable=SC2064
- trap "$(shopt -p nullglob globstar)" RETURN
- shopt -q -s nullglob globstar
+ trap "$(shopt -p globstar)" RETURN
+ shopt -q -s globstar
local -a var_lib_files
inst_multiple \